Subject: bug#57802: MBR problem

From: Thomas <[email-masked]>
Date: Wed, 14 Sep 2022 13:31:41 +0200

Hello,

I discovered that Gparted writes to the MBR (0 to 446 sectors) when it is
empty.

Yesterday i used a live cd of ubuntu to delete a partition of my disk with
Gparted. And my pc didn't boot after that.

My os is a Fedora server installed in UEFI. Note that Grub is not installed
in the MBR or in the partition. I don't know how but it boots fine like
that.

So i had to delete the code Gparted writed in the MBR (0 to 446 sectors) to
boot again ("sudo dd if=/dev/zero of=/dev/sda bs=446 count=1").

I think Gparted should not touch the MBR (0 to 446 sectors) when it is not
ask by the user.

Thanks

Thomas